utl::meta::bind_front< Fn, Ts > Struct Template Reference

`#include <invoke.h>`

## Public Types

template<typename... Us>
using | apply = invoke< Fn, Ts..., Us... >

## Detailed Description

### template<typename Fn, typename... Ts>
struct utl::meta::bind_front< Fn, Ts >

Applies the invocable `Fn` by binding the arguments `Ts` to the front of `Fn`.

Definition at line 332 of file invoke.h.

## Member Typedef Documentation

## apply

template<typename Fn , typename... Ts>
template<typename... Us>

using utl::meta::bind_front< Fn, Ts >::apply = invoke<Fn, Ts..., Us...>

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

Definition at line 334 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h